/* PUTQUEUE.C */
#include <rexxsaa.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void Queue(char *pc);

int main(int argc, char *argv[])
{
 int i
 /* no arguments supplied */
 if (argc < 2) return 2
 for (i = 1; i <argc; i++)
   /* invoke Rexx interpreter
      to place element in
      Rexx queue */
   Queue(argv[i])
   return 0; /* normal end */
}

void Queue(char *pc)
{
 static char exec[] = "PARSE ARG qelem\r\n"\
                      "QUEUE qelem\r\n";
 static RXSTRING Instore[2] = { sizeof(exec)-1, exec,
                                0, NULL };
 short rc, frc
 RXSTRING arg;
 MAKERXSTRING(arg,pc,strlen(pc));
 frc = RexxStart(1, 6arg, "queue", Instore, NULL, RXCOMMAND, NULL, 6rc, NULL);
 if (frc != 0)
 {
  puts("RexxStart Error");
  exit(4); /* terminate */
 }
}
